IntelliJ IDEA:安装Composer的依赖项

安装依赖项

安装依赖项

您可以单独安装特定软件包,IntelliJ IDEA将自动更新您的composer.json。 或者,您可以在composer.json的require和require-dev部分列出所需的包,然后一次性安装它们。

如果composer.lock文件存在于当前目录中,则将安装其中列出的确切包版本。 否则,如果缺少composer.lock文件,Composer将在安装软件包后创建它,从而将项目锁定到其特定版本。

安装特定包

  1. 执行以下操作之一:
    • 在composer.json的上下文菜单中,选择:Composer|管理依赖关系。

    • 要从默认的composer.json安装包,请在主菜单上选择:工具|Composer|管理依赖项。

  2. 在打开的Manage Composer Dependencies对话框中,从Available Packages列表中选择所需的包。要查找包,请使用搜索字段。该列表显示了所有可用的包;已安装的软件包标有复选标记。

    从要安装的版本列表中选择相关版本。

  3. (可选)自定义程序包安装。在“命令行参数”文本框中,键入其他命令行参数。建议提供--dev,选项:在这种情况下,依赖项将添加到composer.json文件的require-dev部分而不是默认的require部分。

  4. 单击“安装”开始安装。要退出对话框,请单击“关闭”。

安装软件包后,IntelliJ IDEA会在vendor下创建一个新的子文件夹,并将新软件包存储在此子文件夹中。对应的包的记录被添加到composer.json文件的requirerequire-dev以及composer.lock文件中。

一次安装所有包

  • 请执行以下任何操作:

    • 在composer.json的上下文菜单中,选择:Composer|安装。

    • 在编辑器中打开composer.json,然后单击编辑器面板顶部的“安装”快捷方式链接。

    • 要安装默认composer.json中列出的所有软件包,请在主菜单上选择:Tools|Composer|安装。

IntelliJ IDEA安装composer.json文件requirerequire-dev各部分中列出的所有软件包。 

以上内容是否对您有帮助:
在线笔记
App下载
App下载

扫描二维码

下载编程狮App

公众号
微信公众号

编程狮公众号

意见反馈
返回顶部